%
%  $Description: ACS Thesis Bibliography$
%

@online{docs.ansible.com,
	title = {Ansible Documentation — About Ansible},
	url = {http://docs.ansible.com/ansible/index.html#about-ansible},
	author = {Red Hat Inc},
	urldate = {2016-11-27},
}

@online{docs.djangoproject.com,
	title = {Django {Documentation}, {Release} 1.10},
	url = {https://docs.djangoproject.com/en/1.10/},
	urldate = {2017-01-06},
	author = {Django Software Foundation},
}

@online{configuring_ejabberd,
	title = {Configuring ejabberd},
	url = {https://docs.ejabberd.im/admin/configuration/},
	urldate = {2016-10-18},
	author = {ProcessOne},
}

@online{ejabberd_api_reference,
	title = {ejabberd {API} reference},
	url = {https://docs.ejabberd.im/developer/ejabberd-api/admin-api/},
	urldate = {2017-01-07},
	author = {ProcessOne},
}

@online{iec:61850.1,
	title = {{PAC} {World} magazine : {New} {IEC} 61850 {Protocol} - {Mapping} based on {XMPP}},
	url = {https://www.pacw.org/issue/september_2015_issue/communication_xmpp/new_iec_61850_protocol_mapping_based_on_xmpp/complete_article/1.html},
	urldate = {2016-12-09},
	author = {Dawidczak, Henry and Dufaure, Thierry},
}

@online{iec:61850.2,
	title = {{XMPP} - {IEC} 61850-8-2 {Defines} {Additional} {Communication} {Mapping}},
	url = {http://blog.iec61850.com/2015/06/xmpp-iec-61850-8-2-defines-additional.html},
	author = {Schwarz, Karlheinz},
	urldate = {2017-01-06},
}

@online{rfc:2782,
	title = {A {DNS} {RR} for specifying the location of services ({DNS} {SRV})},
	url = {https://tools.ietf.org/html/rfc2782},
	urldate = {2016-12-09},
	author = {Gulbrandsen, Arnt and Esibov, Levon},
}

@online{rfc:5802,
	title = {Salted {Challenge} {Response} {Authentication} {Mechanism} ({SCRAM}) {SASL} and {GSS}-{API} {Mechanisms}},
	url = {https://tools.ietf.org/html/rfc5802},
	urldate = {2017-02-20},
	author = {Menon-Sen, Abhijit and Williams, Nicolas and Melnikov, Alexey and Newman, Chris},
}

@online{rfc:6120,
	title = {Extensible Messaging and Presence Protocol ({XMPP}): Core},
	url = {https://tools.ietf.org/html/rfc6120},
	author = {Saint-Andre, Peter},
	urldate = {2016-11-27},
}

@online{rfc:6121,
	title = {Extensible Messaging and Presence Protocol ({XMPP}): Instant Messaging and Presence},
	url = {https://tools.ietf.org/html/rfc6121},
	author = {Saint-Andre, Peter},
	urldate = {2016-11-27},
}

@online{rfc:7622,
	title = {Extensible Messaging and Presence Protocol ({XMPP}): Address Format},
	url = {https://tools.ietf.org/html/rfc7622},
	author = {Saint-Andre, Peter},
	urldate = {2016-11-27},
}

@online{rfc:7395,
	title = {An Extensible Messaging and Presence Protocol ({XMPP}) Subprotocol for {WebSocket}},
	url = {https://tools.ietf.org/html/rfc7395},
	author = {Cestari, Eric and Stout, Lance and Moffit, Jack},
	urldate = {2016-11-27},
}

@online{rfc:7590,
	title = {Use of Transport Layer Security ({TLS}) in the Extensible Messaging and Presence Protocol ({XMPP})},
	url = {https://tools.ietf.org/html/rfc7590},
	author = {Saint-Andre, Peter},
	urldate = {2016-11-27},
}

@online{xep:0001,
	title = {{XEP}-0001: {XMPP} {Extension} {Protocols}},
	url = {http://xmpp.org/extensions/xep-0001.html},
	urldate = {2016-12-11},
	author = {Saint-Andre, Peter},
}

@online{xep:0013,
	title = {{XEP}-0013: {Flexible} {Offline} {Message} {Retrieval}},
	url = {http://xmpp.org/extensions/xep-0013.html},
	urldate = {2016-12-11},
	author = {Saint-Andre, Peter and Kaes, Craig},
}

@online{xep:0030,
	title = {{XEP}-0030: {Service} {Discovery}},
	url = {http://xmpp.org/extensions/xep-0030.html},
	urldate = {2016-12-07},
	author = {Hildebrand, Joe and Millard, Peter and Eatmon, Ryan and Saint-Andre, Peter},
}

@online{xep:0045,
	title = {{XEP}-0045: {Multi}-{User} {Chat}},
	url = {http://xmpp.org/extensions/xep:0045.html},
	urldate = {2016-12-07},
	author = {Saint-Andre, Peter},
}

@online{xep:0047,
	title = {{XEP}-0047: {In}-{Band} {Bytestreams}},
	url = {http://xmpp.org/extensions/xep-0047.html},
	urldate = {2016-12-11},
	author = {Karneges, Justin and Saint-Andre, Peter},
}

@online{xep:0060,
	title = {{XEP}-0060: {Publish}-{Subscribe}},
	url = {http://xmpp.org/extensions/xep-0060.html},
	urldate = {2016-12-11},
	author = {Millard, Peter and Saint-Andre, Peter and Meijer, Ralph},
}

@online{xep:0065,
	title = {{XEP}-0065: {SOCKS}5 {Bytestreams}},
	url = {http://xmpp.org/extensions/xep:0065.html},
	urldate = {2016-12-07},
	author = {Smith, Dave and Miller, Matthew and Saint-Andre, Peter and Karneges, Justin},
}

@online{xep:0085,
	title = {{XEP}-0085: {Chat} {State} {Notifications}},
	url = {http://xmpp.org/extensions/xep-0085.html},
	urldate = {2017-01-03},
	author = {Saint-Andre, Peter and Smith, Dave},
}

@online{xep:0092,
	type = {{XMPP} {Extension} {Protocol}},
	url = {http://xmpp.org/extensions/xep-0092},
	urldate = {2017-01-03},
	author = {Saint-Andre, Peter},
}

@online{xep:0115,
	title = {{XEP}-0115: {Entity} {Capabilities}},
	url = {http://xmpp.org/extensions/xep:0115.html},
	urldate = {2016-12-07},
	author = {Hildebrand, Joe and Saint-Andre, Peter and Tronçon, Remko and Konieczny, Jacek},
}

@online{xep:0163,
	title = {{XEP}-0163: {Personal} {Eventing} {Protocol}},
	url = {http://xmpp.org/extensions/xep:0163.html},
	urldate = {2016-12-07},
	author = {Saint-Andre, Peter and Smith, Kevin},
}

@online{xep:0184,
	title = {{XEP}-0184: {Message} {Delivery} {Receipts}},
	url = {http://xmpp.org/extensions/xep-0184.html},
	urldate = {2017-01-07},
	author = {Saint-Andre, Peter and Hildebrand, Joe},
}

@online{xep:0191,
	title = {{XEP}-0191: {Blocking} {Command}},
	url = {http://xmpp.org/extensions/xep:0191.html},
	urldate = {2016-12-07},
	author = {Saint-Andre, Peter},
}

@online{xep:0198,
	title = {{XEP}-0198: {Stream} {Management}},
	url = {http://xmpp.org/extensions/xep:0198.html},
	urldate = {2016-12-07},
	author = {Karneges, Justin and Saint-Andre, Peter and Hildebrand, Joe and Forno, Fabio and Cridland, Dave and Wild, Matthew},
}

@online{xep:0206,
	title = {{XEP}-0206: {XMPP} {Over} {BOSH}},
	url = {http://xmpp.org/extensions/xep-0206.html},
	urldate = {2017-01-31},
	author = {Paterson, Ian and Saint-Andre, Peter and Stout, Lance and Tilanus, Winfried},
}

@online{xep:0220,
	title = {{XEP}-0220: {Server} {Dialback}},
	url = {http://xmpp.org/extensions/xep-0220.html},
	urldate = {2017-01-07},
	author = {Miller, Jeremie and Saint-Andre, Peter and Hancke, Philipp},
}

@online{xep:0237,
	title = {{XEP}-0237: {Roster} {Versioning}},
	url = {http://xmpp.org/extensions/xep:0237.html},
	urldate = {2016-12-07},
	author = {Saint-Andre, Peter and Cridland, Dave},
}

@online{xep:0280,
	title = {{XEP}-0280: {Message} {Carbons}},
	url = {http://xmpp.org/extensions/xep:0280.html},
	urldate = {2016-12-07},
	author = {Hildebrand, Joe and Miller, Matthew},
}

@online{xep:0288,
	title = {{XEP}-0288: {Bidirectional} {Server}-to-{Server} {Connections}},
	url = {http://xmpp.org/extensions/xep-0288.html},
	urldate = {2016-12-09},
	author = {Hancke, Philipp and Cridland, Dave},
}

@online{xep:0313,
	title = {{XEP}-0313: {Message} {Archive} {Management}},
	url = {http://xmpp.org/extensions/xep:0313.html},
	urldate = {2016-12-07},
	author = {Wild, Matthew and Smith, Kevin},
}

@online{xep:0333,
	title = {{XEP}-0333: {Chat} {Markers}},
	url = {http://xmpp.org/extensions/xep-0333.html},
	urldate = {2017-01-07},
	author = {MacDonald, Spencer},
}

@online{xep:0352,
	title = {{XEP}-0352: {Client} {State} {Indication}},
	url = {http://xmpp.org/extensions/xep:0352.html},
	urldate = {2016-12-07},
	author = {Wild, Matthew},
}

@online{xep:0357,
	title = {{XEP}-0357: {Push} {Notifications}},
	url = {http://xmpp.org/extensions/xep:0357.html},
	urldate = {2016-12-07},
	author = {Stout, Lance},
}

@online{xep:0363,
	title = {{XEP}-0363: {HTTP} {File} {Upload}},
	url = {http://xmpp.org/extensions/xep:0363.html},
	urldate = {2016-12-07},
	author = {Gultsch, Daniel},
}

@online{xep:0368,
	type = {{XMPP} {Extension} {Protocol}},
	url = {https://xmpp.org/extensions/xep-0368.html},
	urldate = {2017-02-04},
	author = {Burtrum, Travis},
}

@online{xep:0375,
	title = {{XEP}-0375: {XMPP} {Compliance} {Suites} 2016},
	url = {http://xmpp.org/extensions/xep-0375.html},
	urldate = {2016-12-07},
	author = {Saint-Andre, Peter and Whited, Sam},
}

@online{xep:0387,
	title = {{XEP}-0387: {XMPP} {Compliance} {Suites} 2017},
	url = {https://xmpp.org/extensions/xep-0387.html},
	urldate = {2017-02-14},
	author = {Whited, Sam},
}

@online{xmpp-backends,
	title = {xmpp-backends documentation},
	url = {http://xmpp-backends.readthedocs.io/en/latest/},
	urldate = {2017-01-18},
	author = {Ertl, Mathias},
}

@inproceedings{ieee:xmpp_dynamic_groups,
	title = {Dynamic shared groups within {XMPP}: {An} investigation of the {XMPP} group model},
	shorttitle = {Dynamic shared groups within {XMPP}},
	doi = {10.1109/INM.2011.5990589},
	booktitle = {12th {IFIP}/{IEEE} {International} {Symposium} on {Integrated} {Network} {Management} ({IM} 2011) and {Workshops}},
	author = {Griffin, L. and Leastar, E. de and Botvich, D.},
	year = {2011},
	pages = {634--637},
}

@inproceedings{ieee:openadr_deployment_arches,
	title = {{OpenADR} 2.0 deployment architectures: {Options} and implications},
	shorttitle = {{OpenADR} 2.0 deployment architectures},
	doi = {10.1109/SmartGridComm.2014.7007743},
	booktitle = {2014 {IEEE} {International} {Conference} on {Smart} {Grid} {Communications} ({SmartGridComm})},
	author = {Herberg, U. and Mashima, D. and Jetcheva, J. G. and Mirzazad-Barijough, S.},
	year = {2014},
	pages = {782--787},
}
